Subject: [Simple] MSRP-07 and report failure

From: Eric Burger <[email-masked]>
Date: Mon, 2 Aug 2004 10:56:53 -0400

This description is much, much, much more clear and sensible.

One thing I want to confirm:

If I send a message with "Report-Failure: Yes", I will not get 200 OK's to
my successful SENDs.

That said, let us say one sets "Report-Failure: partial", and the session
times out.  I would suggest adding normative language to section 4.3 (first
paragraph of page 12):
"MUST inform the user if receives a non-recoverable error response to the
transaction *and terminate the session*."

On the issue of restarting sessions (last bit of 4.3 on page 13), do we
really want to specify normative behavior for different reconnection
schemes, or is this more of a BCP?

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple